Bug 4448 - Ampersands in itemcallnumber break XSLT Results display
Summary: Ampersands in itemcallnumber break XSLT Results display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: rel_3_2
Hardware: PC All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-04 04:48 UTC by Ian Walls
Modified: 2012-10-25 22:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (originally noted as bug 3326) (1.05 KB, patch)
2010-05-04 20:37 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:18 UTC


---- Reported by ian.walls@bywatersolutions.com 2010-05-04 16:48:03 ----

An ampersand (&) in the itemcallnumber causes an XSLT parsing error in the search results display, as the parse attempts to escape the characters following the &.



---- Additional Comments From ian.walls@bywatersolutions.com 2010-05-04 20:37:14 ----

Created an attachment
Proposed patch (originally noted as http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3326)

This patch may also be related to http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3326



---- Additional Comments From gmcharlt@gmail.com 2010-05-05 15:36:10 ----

Patch pushed.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4448 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4448
Imported an attachment (id=2118)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2118 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.